package com.example.kunren;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.NumberPicker;
import android.widget.TextView;

public class TimerActivity extends Activity  implements OnClickListener {
	Activity activity;
	TextView textviewtime;
	int count;
	int setsec = 60;
	Button startbutton,stopbutton;
	NumberPicker npmin,npsec;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.timer);

		activity=this;
		startbutton=(Button)findViewById(R.id.startbutton);
		stopbutton=(Button)findViewById(R.id.stopbutton);
		npmin=(NumberPicker)findViewById(R.id.numberPickerMin);
		npsec=(NumberPicker)findViewById(R.id.numberPickerSec);
		
		npmin.setMaxValue(60);
		npmin.setMinValue(0);
		npmin.setValue(setsec/60);
		npsec.setMaxValue(59);
		npsec.setMinValue(0);
		npsec.setValue(setsec%60);
		count=setsec;
		//テキストビュー
		textviewtime = (TextView)findViewById(R.id.TextViewTime);
		timeprint();
		npmin.setOnValueChangedListener(new NumberPicker.OnValueChangeListener() {
			
			@Override
			public void onValueChange(NumberPicker picker, int oldVal, int newVal) {
				count=setsec=npmin.getValue()*60+npsec.getValue();
				timeprint();
			}
		});
		npsec.setOnValueChangedListener(new NumberPicker.OnValueChangeListener() {
			
			@Override
			public void onValueChange(NumberPicker picker, int oldVal, int newVal) {
				count=setsec=npmin.getValue()*60+npsec.getValue();
				timeprint();
			}
		});
		startbutton.setOnClickListener(this);
		stopbutton.setOnClickListener(this);
		stopbutton.setEnabled(false);
		BroadcastReceiver broadcastReceiver=new BroadcastReceiver(){
			@Override
			public void onReceive(Context context,Intent intent){
				count=intent.getIntExtra("COUNT", 0);
				timeprint();
				if(count<=0){
					onClick(stopbutton);
				}
			}
		};
		IntentFilter filter = new IntentFilter();
		filter.addAction("Timer_Service ACTION");
		registerReceiver(broadcastReceiver,filter);

	}
	public void onClick(View view){
		if(view==startbutton){
			if(setsec>0){
				Intent iService = new Intent(this,com.example.kunren.TimerService.class);
				iService.putExtra("COUNT", setsec);
				startService(iService);
				//finish();
				startbutton.setEnabled(false);
				stopbutton.setEnabled(true);
				npmin.setEnabled(false);
				npsec.setEnabled(false);
			}
		}else if(view==stopbutton){
			Intent iService = new Intent(this,com.example.kunren.TimerService.class);
			stopService(iService);
			//タイマースケジュール設定＆開始
			startbutton.setEnabled(true);
			stopbutton.setEnabled(false);
			npmin.setEnabled(true);
			npsec.setEnabled(true);

   		 	count=setsec;
   		 	timeprint();
		}else{
			count=setsec;
			timeprint();
		}
	}
	void timeprint(){
		textviewtime.setText(String.valueOf(count/60) + "分"+String.valueOf(count%60)+"秒");
	}
}
