package polytech.android.e6201;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.view.View;

// X軸およびY軸を描画するビュー
public class LevelAxisView extends View {
    private int axisLength;  // 軸の長さ
    private int topPadding;  // 軸の下げ幅
    private Paint paint;

    public LevelAxisView(Context context) {
        super(context);
    }

    public LevelAxisView(Context context, int axisLength, int topPadding) {
        super(context);

        this.axisLength = axisLength;
        this.topPadding = topPadding;
        paint = new Paint();
        paint.setColor(Color.BLACK);
    }

    @Override
    protected void onDraw(Canvas canvas) {
        super.onDraw(canvas);

        // x軸の描画
        canvas.drawLine(0, axisLength / 2 + topPadding, axisLength, axisLength / 2 + topPadding, paint);

        // y軸の描画
        canvas.drawLine(axisLength / 2, +topPadding, axisLength / 2, axisLength + topPadding, paint);
    }
}
